## ghostscript 8.62.dfsg.1-3.2lenny1

=== debian/changelog ===
ghostscript (8.62.dfsg.1-3.2lenny1) stable-security; urgency=high

  * Non-maintainer upload by the security team
  * Include patch from RedHat to fix several integer overflows and add
    upper-bound checks on certain variables in the embedded icc library
    Fixes: CVE-2009-0583 CVE-2009-0584

 -- Steffen Joeris <white@debian.org>  Sat, 14 Mar 2009 12:57:49 +0000

ghostscript (8.62.dfsg.1-3.2lenny0) testing; urgency=low

  * Non-maintainer upload to testing, mainly to get fix
    from 8.62.dfsg.1-3.2:
    - Make ghostscript depend on gs-common to prevent removal.
      Drop gs-common -> ghostscript-x dependency to not force the
      X version on all users. Hopefully Closes: #503712.
  * libgs-dev: version Depends: libgs8. Closes: #510691.

 -- Thomas Viehmann <tv@beamnet.de>  Mon, 05 Jan 2009 23:33:33 +0100

ghostscript (8.62.dfsg.1-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Make ghostscript depend on gs-common to prevent removal.
    Drop gs-common -> ghostscript-x dependency to not force the
    X version on all users. Hopefully Closes: #503712.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 28 Dec 2008 11:18:18 +0100

ghostscript (8.62.dfsg.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add (empty) gs-common.prerm to enable upgrades
    etch->lenny to succeed when the old gs-common.prerm
    fails. Closes: #495703.
    Thanks to Niko Tyni for the bug report and analysis.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 31 Aug 2008 22:26:34 +0200

ghostscript (8.62.dfsg.1-3) unstable; urgency=low

  * Acknowledged NMU, thanks madcoder - closes: #453903
  * Bumped to Standards-Version: 3.8.0.
  * Fixed fakeroot build error, thanks Bob Lindell - closes: #484712
  * ghostscript-doc.doc-base: Made file mask *.htm* instead of *.html.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 20 Jul 2008 08:59:17 +0900

ghostscript (8.62.dfsg.1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add patches/31_fix-gc-sigbus.dpatch to avoid sigbus/segfaults on sparc and
    hppa (and probably errors on other architectures as well).
    Closes: #453903.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 14 May 2008 15:25:03 +0200

ghostscript (8.62.dfsg.1-2) unstable; urgency=low

  * ghostscript: Tighten up versioned dependency on libgs8 
    - closes: #470253
  * preinsts for each dummy packages now call update-alternatives
    to make sure gs symlinks are removed before the new ghostscript 
    package is installed - closes: #449173

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 13 Mar 2008 02:30:51 +0900

ghostscript (8.62.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Removed Resource/Font for a minor licensing problem.  
    I'm now contacting the upstream, so they might be back soon.
  * Fixed in the upstream - closes: #418706
    See also http://bugs.ghostscript.com/show_bug.cgi?id=689600
  * Now it can handle DEB_BUILD_OPTS as expected - closes: #446819
  * 10_ijs_krgb_support.dpatch: incorporated into the upstream, removed.
  * 27_cups_filters_with_buffered_input.dpatch: incorporated into 
    the upstream, removed. 
  * 28_print_encrypted_PDFs_from_adobe_reader_8.dpatch: incorporated into
    the upstream, removed.
  * 31_CVE-2008-0411.dpatch: incorporated into the upstream, removed. 
    thanks Nico Golde for NMU.
  * shlibs: loosen the libgs8 shlibs version specification, 
    thanks Sune Vuorela for pointing it out - closes: #469218
  * control: ghostscript doesn't provide gs, gs-esp, gs-gpl, gs-afpl 
    and gs-aladdin anymore - ghostscript-x does - closes: #448702, #462678
  * control: tighten up versioned Conflicts on dummy packages.
  * rules: removes /usr/share/doc/ghostscript/README.gz explicitly 
    - closes: #460692
  * postinst: removes old /etc/alternative symlinks explicitly 
    - closes: #447495, #449061
 
 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 09 Mar 2008 10:39:31 +0800

ghostscript (8.61.dfsg.1-1.1) unstable; urgency=high

  * Non-maintainer upload by security team.
  * Fix stack based buffer overflow in the zseticcspace() function possibly
    leading to arbitrary code exeuction via a crafted ps file.
    (31_CVE-2008-0411.dpatch; Closes: #468190).
  * Adjusting libgs shlibs file to match the new version number.

 -- Nico Golde <nion@debian.org>  Sat, 01 Mar 2008 11:18:27 +0100

ghostscript (8.61.dfsg.1-1) unstable; urgency=low

  [Masayuki Hatta]

  * New upstream release.
  * Now pdf2dsc can handle PageLabels properly - closes: #266166
  * Bumped up Standards-Version to 3.7.3 (no physical changes).
  * NEWS, README.Debian, copyright: Revised.
  * NEWS: Fixed wrong version number - closes: #454514, #454515
  * Sorted out dpatches:
    01-09: Debian-specific patches
    10-19: Bigger 3rd party patches (KRGB & CJKV)
    20-: Temporary bug fixes (should be incorporated into the upstream)
  * debian/patches/29_gs_css_fix.dpatch: Fixes a syntax error in gs.css
    - closes: #457118
  * debian/patches/30_ps2pdf_man_improvement.dpatch: Improved manpages for 
    ps2pdf - closes: #193461

  [Till Kamppeter]

  * debian/patches/09_ijs_krgb_support.dpatch: Adapted to upstream changes.
  * debian/rules: Updated CUPS-related variables for "make install" calls.
  * debian/rules: Remove /usr/include/ghostscript from the ghostscript
    package, they go into libgs-dev.
  * debian/patches/40_cups_filters_with_buffered_input.dpatch: Modified
    cups/psto* filters to let Ghostscript always use buffered input. This
    works around a Ghostscript bug which prevents printing encrypted PDF
    files with Adobe Reader 8.1.1 and Ghostscript built as shared library
    (Ghostscript bug #689577, Ubuntu bug LP: #172264)
  * debian/patches/42_print_encrypted_PDFs_from_adobe_reader_8.dpatch:
    Fixed printing of encrypted PDF files from Adobe Reader 8.1.1.  This
    is the real fix now and not only a workaround. (Ghostscript bug
    #689577, Ubuntu bug LP: #172264).


