=== debian/control ===
Source: ghostscript
Section: text
Priority: optional
Maintainer: Masayuki Hatta (mhatta) <mhatta@debian.org>
Build-Depends: autoconf, automake1.9 | automaken, debhelper (>= 4.1.0), dpatch, freeglut3-dev | libglut-dev, libjpeg-dev, libpaper-dev, libpng-dev, libz-dev, libxt-dev, libxext-dev, libx11-dev, libcups2-dev (>= 1.3.7), libcupsimage2-dev (>= 1.1.20final+rc1-4), libice-dev, libsm-dev, pkg-config, libfontconfig1-dev, cdbs
Standards-Version: 3.8.0
Uploaders: Thomas Maass <inyourface@gmx.de>

Package: ghostscript
Architecture: any
Conflicts: gs (<< 8.62), gs-esp (<< 8.62), gs-gpl (<< 8.62), gs-afpl (<< 8.62), gs-aladdin (<< 8.62), gs-cjk-resource (<< 1.20010910-1), gs-pdfencrypt (<< 7.00), gs-common (<< 8.62)
Replaces: gs (<< 8.62), gs-esp (<< 8.62), gs-gpl (<< 8.62), gs-afpl (<< 8.62), gs-aladdin (<< 8.62), gs-pdfencrypt (<< 7.00), gs-common (<< 8.62)
Provides: gs-pdfencrypt, postscript-viewer
Recommends: psfontmgr
Suggests: ghostscript-x, hpijs
Depends: ${shlibs:Depends}, gs-common (>= 8.62.dfsg.1-3.2), gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0, debianutils (>= 1.6), libgs8 (= ${binary:Version})
Description: The GPL Ghostscript PostScript/PDF interpreter
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 Furthermore, it can render PostScript and PDF files as graphics to be printed
 on non-PostScript printers. Supported printers include common
 dot-matrix, inkjet and laser models.
 .
 Package gsfonts contains a set of standard fonts for Ghostscript.
 .
 The Ghostscript home page is at http://www.ghostscript.com/

Package: gs
Architecture: all
Priority: extra
Depends:  ghostscript, ghostscript-x
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous gs package (the package name has been changed to ghostscript).
 It may safely be removed after installation.

Package: gs-esp
Architecture: all
Priority: extra
Depends:  ghostscript, ghostscript-x
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous gs-esp package (the package is replaced by ghostscript).
 It may safely be removed after installation.

Package: gs-gpl
Architecture: all
Priority: extra
Depends:  ghostscript, ghostscript-x
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous gs-gpl package (the package is replaced by ghostscript).
 It may safely be removed after installation.

Package: gs-aladdin
Architecture: all
Priority: extra
Depends:  ghostscript, ghostscript-x
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous  gs-aladdin package (the package is replaced by ghostscript).
 It may safely be removed after installation.

Package: gs-common
Architecture: all
Priority: optional
Depends:  ghostscript
Description: Dummy package depending on ghostscript
 This dummy package is provided for a smooth transition from the
 previous gs-.../gs-common combo (the packages are replaced by ghostscript).

Package: ghostscript-x
Architecture: any
Depends: ${shlibs:Depends}, ghostscript (>= 8.62)
Conflicts: ghostscript (<< 8.62)
Provides: gs, gs-esp, gs-gpl, gs-afpl, gs-aladdin
Description: The GPL Ghostscript PostScript/PDF interpreter - X Display support
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 The Ghostscript home page is at http://www.ghostscript.com/
 .
 This package contains the Ghostscript output device for X11. It is in
 a separate package to allow the main package (ghostscript) to be installed
 on X-less servers.

Package: ghostscript-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ghostscript (>= 8.62)
Conflicts: ghostscript (<< 8.62)
Description: The GPL Ghostscript PostScript/PDF interpreter - Documentation
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 The Ghostscript home page is at http://www.ghostscript.com/
 .
 This package contains the documentation of Ghostscript. As this documentation
 is only interesting for printer driver developers or advanced users, it is
 in this separate package which can be left out in space-restricted
 installations, like for example live CDs.

Package: libgs8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: The Ghostscript PostScript/PDF interpreter Library
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 The Ghostscript home page is at http://www.ghostscript.com/
 .
 This package provides the Ghostscript library which makes the 
 facilities of Ghostscript available to applications.

Package: libgs-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libgs8 (= ${binary:Version})
Conflicts: libgs-esp-dev (<< 8.62)
Replaces: libgs-esp-dev (<< 8.62)
Provides: libgs-esp-dev
Description: The Ghostscript PostScript Library - Development Files
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 The Ghostscript home page is at http://www.ghostscript.com/
 .
 This package provides the development files for the Ghostscript library 
 which makes the facilities of Ghostscript available to applications.
