=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
opts=uversionmangle=s/-gpl$//,dversionmangle=s/\.dfsg.+// \
http://mirror.cs.wisc.edu/pub/mirrors/ghost/GPL/current/ghostscript-(\d+.+)\.tar\.gz
