## ghostscript 8.62.dfsg.1-maemo1

=== debian/changelog ===
ghostscript (8.62.dfsg.1-maemo1) stable-security; urgency=high

  * Removed dummy packages for maemo
  
 -- Thomas Maass <inyourface@gmx.de>  Fri, 02 Jul 2010 09:18:00 +0200
