=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: ghostscript
 Section: text
 Priority: optional
-Maintainer: Masayuki Hatta (mhatta) <mhatta@debian.org>
+Maintainer: Thomas Maass <inyourface@gmx.de>
 Build-Depends: autoconf, automake1.9 | automaken, debhelper (>= 4.1.0), dpatch, freeglut3-dev | libglut-dev, libjpeg-dev, libpaper-dev, libpng-dev, libz-dev, libxt-dev, libxext-dev, libx11-dev, libcups2-dev (>= 1.3.7), libcupsimage2-dev (>= 1.1.20final+rc1-4), libice-dev, libsm-dev, pkg-config, libfontconfig1-dev, cdbs
 Standards-Version: 3.8.0
-Uploaders: Thomas Maass <inyourface@gmx.de>
 
 Package: ghostscript
 Architecture: any
@@ -26,50 +25,6 @@
  Package gsfonts contains a set of standard fonts for Ghostscript.
  .
  The Ghostscript home page is at http://www.ghostscript.com/
-
-Package: gs
-Architecture: all
-Priority: extra
-Depends:  ghostscript, ghostscript-x
-Description: Transitional package
- This dummy package is provided for a smooth transition from the
- previous gs package (the package name has been changed to ghostscript).
- It may safely be removed after installation.
-
-Package: gs-esp
-Architecture: all
-Priority: extra
-Depends:  ghostscript, ghostscript-x
-Description: Transitional package
- This dummy package is provided for a smooth transition from the
- previous gs-esp package (the package is replaced by ghostscript).
- It may safely be removed after installation.
-
-Package: gs-gpl
-Architecture: all
-Priority: extra
-Depends:  ghostscript, ghostscript-x
-Description: Transitional package
- This dummy package is provided for a smooth transition from the
- previous gs-gpl package (the package is replaced by ghostscript).
- It may safely be removed after installation.
-
-Package: gs-aladdin
-Architecture: all
-Priority: extra
-Depends:  ghostscript, ghostscript-x
-Description: Transitional package
- This dummy package is provided for a smooth transition from the
- previous  gs-aladdin package (the package is replaced by ghostscript).
- It may safely be removed after installation.
-
-Package: gs-common
-Architecture: all
-Priority: optional
-Depends:  ghostscript
-Description: Dummy package depending on ghostscript
- This dummy package is provided for a smooth transition from the
- previous gs-.../gs-common combo (the packages are replaced by ghostscript).
 
 Package: ghostscript-x
 Architecture: any
