## ghostscript 8.62.dfsg.1-maemo2

=== debian/changelog ===
ghostscript (8.62.dfsg.1-maemo2) stable-security; urgency=high

  * Fixed dependency problems
  
 -- Thomas Maass <inyourface@gmx.de>  Fri, 02 Jul 2010 16:00:00 +0200
