=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Provides: gs-pdfencrypt, postscript-viewer
 Recommends: psfontmgr
 Suggests: ghostscript-x, hpijs
-Depends: ${shlibs:Depends}, gs-common (>= 8.62.dfsg.1-3.2), gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0, debianutils (>= 1.6), libgs8 (= ${binary:Version})
+Depends: ${shlibs:Depends}, gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0
 Description: The GPL Ghostscript PostScript/PDF interpreter
  Ghostscript is used for PostScript/PDF preview and printing.  Usually as
  a back-end to a program such as ghostview, it can display PostScript and PDF
@@ -76,7 +76,7 @@
 Package: libgs-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, libgs8 (= ${binary:Version})
+Depends: ${shlibs:Depends}
 Conflicts: libgs-esp-dev (<< 8.62)
 Replaces: libgs-esp-dev (<< 8.62)
 Provides: libgs-esp-dev
