## ghostscript 8.62.dfsg.1-maemo3

=== debian/changelog ===
ghostscript (8.62.dfsg.1-maemo3) stable-security; urgency=high

  * Initial release for Maemo.

 -- Thomas Maass <mase@setho.org>  Thu, 24 Feb 2011 17:05:00 +0200
