=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ghostscript
 Section: text
 Priority: optional
-Maintainer: Thomas Maass <inyourface@gmx.de>
-Build-Depends: autoconf, automake1.9 | automaken, debhelper (>= 4.1.0), dpatch, freeglut3-dev | libglut-dev, libjpeg-dev, libpaper-dev, libpng-dev, libz-dev, libxt-dev, libxext-dev, libx11-dev, libcups2-dev (>= 1.3.7), libcupsimage2-dev (>= 1.1.20final+rc1-4), libice-dev, libsm-dev, pkg-config, libfontconfig1-dev, cdbs
+Maintainer: Thomas Maass <mase@setho.org>
+Build-Depends: autoconf, automake1.9 | automaken, debhelper (>= 4.1.0), dpatch, freeglut3-dev | libglut-dev, libjpeg62-dev, libpaper-dev, libpng12-dev, libz-dev, libxt-dev, libxext-dev, libx11-dev, libcups2-dev (>= 1.3.7), libcupsimage2-dev (>= 1.1.20final+rc1-4), libice-dev, libsm-dev, pkg-config, libfontconfig1-dev, cdbs
 Standards-Version: 3.8.0
 
 Package: ghostscript
@@ -12,7 +12,7 @@
 Provides: gs-pdfencrypt, postscript-viewer
 Recommends: psfontmgr
 Suggests: ghostscript-x, hpijs
-Depends: ${shlibs:Depends}, gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0
+Depends: ${shlibs:Depends}, gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0, debianutils (>= 1.6), libgs8 (= ${binary:Version})
 Description: The GPL Ghostscript PostScript/PDF interpreter
  Ghostscript is used for PostScript/PDF preview and printing.  Usually as
  a back-end to a program such as ghostview, it can display PostScript and PDF
@@ -76,7 +76,7 @@
 Package: libgs-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libgs8 (= ${binary:Version})
 Conflicts: libgs-esp-dev (<< 8.62)
 Replaces: libgs-esp-dev (<< 8.62)
 Provides: libgs-esp-dev
