## ghostscript 8.62.dfsg.1-maemo4

=== debian/changelog ===
ghostscript (8.62.dfsg.1-maemo4) stable-security; urgency=high

  * Removed dependency of debianutils.

 -- Thomas Maass <mase@setho.org>  Thu, 24 Feb 2011 23:13:00 +0200
