## ghostscript 8.62.dfsg.1-maemo5

=== debian/changelog ===
ghostscript (8.62.dfsg.1-maemo5) stable-security; urgency=high

  * Fixed optification.

 -- Thomas Maass <mase@setho.org>  Mon, 01 Mar 2011 13:36:00 +0200
