=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Provides: gs-pdfencrypt, postscript-viewer
 Recommends: psfontmgr
 Suggests: ghostscript-x, hpijs
-Depends: ${shlibs:Depends}, gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0, debianutils (>= 1.6), libgs8 (= ${binary:Version})
+Depends: ${shlibs:Depends}, gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0, libgs8 (= ${binary:Version})
 Description: The GPL Ghostscript PostScript/PDF interpreter
  Ghostscript is used for PostScript/PDF preview and printing.  Usually as
  a back-end to a program such as ghostview, it can display PostScript and PDF
