=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,11 @@
 CFLAGS:=$(CFLAGS) -g $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2) 
 
 DEB_CONFIGURE_SCRIPT_ENV := CFLAGS="$(CFLAGS) -fPIC" CPPFLAGS="$(FT_CPPFLAGS)" LDFLAGS="-lpaper $(FT_LDFLAGS)"
-DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
+DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --datarootdir=\$${prefix}/share --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 	--with-ijs --with-jbig2dec --with-jasper --with-x --disable-gtk \
 	--enable-dynamic --with-omni --enable-cups --disable-compile-inits \
 	--with-drivers=ALL \
-	--with-fontpath=/var/lib/defoma/gs.d/dirs/fonts:/usr/share/cups/fonts:/usr/share/ghostscript/fonts:/usr/local/lib/ghostscript/fonts:/usr/share/fonts:/usr/share/fonts/type1/gsfonts
+	--with-fontpath=/var/lib/defoma/gs.d/dirs/fonts:/opt/usr/share/cups/fonts:/usr/share/ghostscript/fonts:/usr/local/lib/ghostscript/fonts:/usr/share/fonts:/usr/share/fonts/type1/gsfonts
 DEB_MAKE_BUILD_TARGET := STDDIRS $(FT_OPTS)
 DEB_MAKE_INSTALL_TARGET := soinstall install-shared install-cups install-contrib-extras \
 		DESTDIR=$(CURDIR)/debian/ghostscript \
@@ -36,10 +36,10 @@
 		gsdir=/usr/share/ghostscript \
 		docdir=/usr/share/doc/ghostscript \
 		exdir=/usr/share/doc/ghostscript/examples \
-		CUPSSERVERBIN=/usr/lib/cups \
-		CUPSSERVER=/usr/lib/cups \
+		CUPSSERVERBIN=/opt/usr/lib/cups \
+		CUPSSERVER=/opt/usr/lib/cups \
 		CUPSSERVERROOT=/etc/cups \
-		CUPSDATA=/usr/share/ppd/ghostscript
+		CUPSDATA=/opt/usr/share/ppd/ghostscript
 
 fail-if-cmaps-exist:
 	@test ! -d Resource/CMap || ( \
@@ -74,11 +74,11 @@
 install/ghostscript::
 	# Move *.types and *.convs files from /etc/cups to
 	# /usr/share/cups/mime, so that they are not considered conffiles
-	mkdir -p $(CURDIR)/debian/ghostscript/usr/share/cups/mime/
+	mkdir -p $(CURDIR)/debian/ghostscript/opt/usr/share/cups/mime/
 	mv $(CURDIR)/debian/ghostscript/etc/cups/*.types \
-	   $(CURDIR)/debian/ghostscript/usr/share/cups/mime/ 2> /dev/null || :
+	   $(CURDIR)/debian/ghostscript/opt/usr/share/cups/mime/ 2> /dev/null || :
 	mv $(CURDIR)/debian/ghostscript/etc/cups/*.convs \
-	   $(CURDIR)/debian/ghostscript/usr/share/cups/mime/ 2> /dev/null || :
+	   $(CURDIR)/debian/ghostscript/opt/usr/share/cups/mime/ 2> /dev/null || :
 	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/ghostscript/etc/cups
 	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/ghostscript/etc
