## ghostscript 8.62.dfsg.1-maemo6

=== debian/changelog ===
ghostscript (8.62.dfsg.1-maemo6) stable-security; urgency=high

  * Fixed optification for /usr/share/ghostscript.

 -- Thomas Maass <mase@setho.org>  Mon, 01 Mar 2011 14:20:00 +0200
