=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 CFLAGS:=$(CFLAGS) -g $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2) 
 
 DEB_CONFIGURE_SCRIPT_ENV := CFLAGS="$(CFLAGS) -fPIC" CPPFLAGS="$(FT_CPPFLAGS)" LDFLAGS="-lpaper $(FT_LDFLAGS)"
-DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --datarootdir=\$${prefix}/share --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
+DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --datarootdir=/opt/usr/share --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 	--with-ijs --with-jbig2dec --with-jasper --with-x --disable-gtk \
 	--enable-dynamic --with-omni --enable-cups --disable-compile-inits \
 	--with-drivers=ALL \
@@ -32,8 +32,8 @@
 DEB_MAKE_INSTALL_TARGET := soinstall install-shared install-cups install-contrib-extras \
 		DESTDIR=$(CURDIR)/debian/ghostscript \
 		prefix=/usr \
-		datadir=/usr/share \
-		gsdir=/usr/share/ghostscript \
+		datadir=/opt/usr/share \
+		gsdir=/opt/usr/share/ghostscript \
 		docdir=/usr/share/doc/ghostscript \
 		exdir=/usr/share/doc/ghostscript/examples \
 		CUPSSERVERBIN=/opt/usr/lib/cups \
